petsc-3.10.5 2019-03-28
Report Typos and Errors

# TaoGetKSP

Gets the linear solver used by the optimization solver. Application writers should use TaoGetKSP if they need direct access to the PETSc KSP object.

### Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoGetKSP(Tao tao, KSP *ksp)

Not Collective

### Input Parameters

tao -the TAO solver

### Output Parameters

ksp -the KSP linear solver used in the optimization solver

### Level

intermediate

### Location

src/tao/interface/taosolver.c

### Examples

src/ts/examples/tutorials/ex16opt_p.c.html
src/ts/examples/tutorials/ex16opt_ic.c.html
src/ts/examples/tutorials/ex20opt_p.c.html
src/ts/examples/tutorials/ex20opt_ic.c.html
src/tao/unconstrained/examples/tutorials/eptorsion1.c.html
src/tao/unconstrained/examples/tutorials/eptorsion2.c.html
src/tao/unconstrained/examples/tutorials/rosenbrock1.c.html
src/tao/constrained/examples/tutorials/maros.c.html
src/tao/constrained/examples/tutorials/toy.c.html
src/tao/constrained/examples/tutorials/toyf.F90.html
src/tao/bound/examples/tutorials/jbearing2.c.html
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages